Can't get gem to work

when I try to do

gem install rails

or gem install anything I get the following error:

ERROR: While executing gem … (TypeError)
can’t instantiate uninitialized class

Anyone else seeing this and have any ideas?

  • thanks
    Johnny

I am having the same problem, just installed rubygems on Ubuntu Server
7.10 and am unable to install any gems, investigating error further.

I’ve tried this on several different of my servers and they are all
producing this error now so perhaps
there something problematic with gems.rubyforge.org?

I can confirm that this is happening to me on OS X 10.5

Just installed, so I’m guessing it’s a problem upstream.

it seems to be working for me as well now though I’ve changed
nothing at my end, so I’m guessing it was indeed a problem upstream.

Seems to be working now, I had to install libruby1.8-extras before it
started working on my ubuntu install.

On 10/27/07, Johnny P. [email protected] wrote:

it seems to be working for me as well now though I’ve changed
nothing at my end, so I’m guessing it was indeed a problem upstream.

In a parallel conversation on the ruby-gems mailing list, it’s been
discussed.

There’s a new beta version of rubygems out there, and some folks had
mistakenly uploaded some gems to the server with the beta version
which wasn’t ready. This led to the same error, so I suspect that
this was the problem.


Rick DeNatale

My blog on Ruby
http://talklikeaduck.denhaven2.com/

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs